## pdftk-1.41.tar.bz2

=== java_libs/com/lowagie/text/pdf/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= pdf.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) --classpath="." $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/gnu_local/java/security/provider/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= provider.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) --classpath="." $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/com/lowagie/text/pdf/codec/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= codec.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) --classpath="." $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/com/lowagie/text/pdf/fonts/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= fonts.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

# font metric files, included as resources
afms= $(wildcard *.afm)
afm_objects= $(patsubst %.afm, %.o, $(afms))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# the --resource argument gives the name by which this resource is
# referenced; I took this prefix from RESOURCE_PATH in BaseFont.java
%.o : %.afm
	$(GCJ) -c --resource com/lowagie/text/pdf/fonts/$< $< -o $@

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) --classpath="." $*;
	$(RM) $<

##
# targets

# we don't include afm_objects in the final fonts.a, since
# they must be referenced directly at link-time (for some reason)

all : $(library) $(headers) $(afm_objects)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/com/lowagie/text/pdf/codec/postscript/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= postscript.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) --classpath="." $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== java_libs/com/lowagie/text/pdf/codec/wmf/Makefile ===
# Copyright 2003, 2004 Sid Steward
# This is part of pdftk; visit: www.pdftk.com
#

##
# variables

library= wmf.a

sources= $(wildcard *.java)
objects= $(patsubst %.java, %.o, $(sources))
headers= $(patsubst %.java, %.h, $(sources))
classes= $(patsubst %.java, %.class, $(sources))

##
# implicit rules for creating A from B

%.o : %.java
	$(GCJ) $(GCJFLAGS) -c $< -o $@

%.class : %.java
	$(GCJ) $(GCJFLAGS) -C $<

# gcjh doesn't want the ".class" extension, so use
# the "$*" automatic variable, here
#
%.h : %.class
	$(GCJH) --classpath="." $*;
	$(RM) $<

##
# targets

all : $(library) $(headers)

$(library) : $(objects)
	$(AR) $(ARFLAGS) $(library) $(objects);

clean :
	$(RM) $(RMFLAGS) *.o *.h *.class *.a

=== debian/changelog ===
pdftk (1.12-3) unstable; urgency=low

  * Depends on libgcj-dev instead of libgcj4-dev.
  * Build with gcj instead of gcj-3.33.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 30 Mar 2005 16:44:02 +0200

pdftk (1.12-2) unstable; urgency=low

  * Added a patch from Bernhard R. Link to adds a new generate_fdf 
    action to generate a FDF out of a PDF file. The patch will also be
    added in the next upstream version (closes: bug#289846).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Jan 2005 23:22:59 +0100

pdftk (1.12-1) unstable; urgency=low

  * New upstream release. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 10 Nov 2004 21:04:25 +0000

pdftk (1.11-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  5 Nov 2004 09:42:53 +0000

pdftk (1.10-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Oct 2004 14:15:40 +0000

pdftk (1.00-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Aug 2004 20:18:35 +0200

pdftk (0.94-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 25 Mar 2004 08:58:03 +0100

pdftk (0.93-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 10 Mar 2004 07:37:12 +0100

pdftk (0.92-2) unstable; urgency=low

  * Fixed a typo in the description (closes: bug#234675).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 25 Feb 2004 20:21:12 +0100

pdftk (0.92-1) unstable; urgency=low

  * Initial Release (closes: bug#232863).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Feb 2004 23:54:35 +0100

=== debian/control ===
Source: pdftk
Maintainer: Aurelien Jarno <aurel32@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper (>= 4.0.0), gcj-4.1, g++-4.1
Standards-Version: 3.7.2

Package: pdftk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A useful tool for manipulating PDF documents
 If PDF is electronic paper, then pdftk is an electronic stapler-remover,
 hole-punch, binder, secret-decoder-ring, and X-Ray-glasses. Pdftk is a
 simple tool for doing everyday things with PDF documents. Keep one in the
 top drawer of your desktop and use it to:
  - Merge PDF documents
  - Split PDF pages into a new document
  - Decrypt input as necessary (password required)
  - Encrypt output as desired
  - Fill PDF Forms with FDF Data and/or Flatten Forms
  - Apply a Background Watermark
  - Report PDF on metrics, including metadata and bookmarks
  - Update PDF Metadata
  - Attach Files to PDF Pages or the PDF Document
  - Unpack PDF Attachments
  - Burst a PDF document into single pages
  - Uncompress and re-compress page streams
  - Repair corrupted PDF (where possible)
 .
  Author: Sid Steward <ssteward@accesspdf.com>
  Homepage: http://www.accesspdf.com/pdftk

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp: 
	dh_testdir
	cd $(CURDIR)/pdftk && $(MAKE) -f Makefile.Debian
	touch build-stamp

clean: debian-clean
	dh_clean

debian-clean:	
	dh_testdir
	dh_testroot
	-make -C pdftk -f Makefile.Debian clean
	-make -C $(CURDIR)/java_libs/ clean
	-rm -f *-stamp 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pdftk.
	install -o root -g root -m 755 -d $(CURDIR)/debian/pdftk/usr/bin
	install -o root -g root -m 755 pdftk/pdftk $(CURDIR)/debian/pdftk/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
